#ifndef _DR26
#define _DR26

#include "ForteSensor.hpp"
#include "Message.hpp"
#include "esp_log.h"
#include "pinout.hpp"
#include <Adafruit_ADS1X15.h>
#include <Wire.h>

class Forte_DR26 : public Forte_Sensor<float> {
  public:
	void setup() override;
	float read_data() override;
	void change_Gain(adsGain_t gain);
	Message build_message() override;

  private:
};

#endif