#include "NoDataAvailableException.hpp"
#include "esp_log.h"
#include <Arduino.h>
#include <dr26.hpp>
#include <drs26.hpp>
#include <ina219.hpp>
#include <scd30.hpp>
// #include "esp32-hal-log.h"
static const char *TAG = "MAIN";

Forte_DRS26 drs26;

void setup()
{
	Serial.begin(115200);
	drs26.setup();
	//	log_e("Setup complete.");
}

void loop()
{

	out_data_drs26 data{};

	try {
		espnow_setup();
		//			data = drs26.read_data();
		auto message = drs26.build_message();
		message.send();
	} catch (const NoDataAvailableException &e) {
		std::cerr << e.what() << '\n';
	}

	ESP_LOGE(TAG, "Sensor Circumference: ");
	//	log_e("Temperature: ");
	//	log_e("Id: ");

	delay(5000);
}
